## modemmanager 1.18.2

=== debian/changelog ===
modemmanager (1.18.2-1.0nosystemd1) nosystemd; urgency=medium

  * remove hard dependency on libsystemd0/elogind0 

 -- anticapitalista <antix@operamail.com>  Wed, 08 Dec 2021 12:00:06 +0200

modemmanager (1.18.2-1) unstable; urgency=medium

  [ Henry-Nicolas Tourneur ]
  * d/rules: set with-polkit to permissive (Closes: #800598)

  [ Arnaud Ferraris ]
  * New upstream version 1.18.2 (Closes: #1000450)
  * d/control: change maintainer to DebianOnMobile team (Closes: #949129)
  * d/control: bump debhelper-compat version and Standards-Version.
  * d/copyright: add Upstream-Contact and update maintainer email
  * d/gbp.conf: fix debian branch name
  * debian: add salsa CI pipeline
  * d/source: add upstream metadata
  * d/control: update build dependencies.
  * d/watch: bump watch file version, no change required
  * d/libmm-glib0: update symbols file for new version
  * d/rules: add hardening build options

 -- Arnaud Ferraris <arnaud.ferraris@collabora.com>  Mon, 06 Dec 2021 17:46:45 +0100

=== debian/control ===
Source: modemmanager
Section: net
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>,
           Guido Günther <agx@sigxcpu.org>,
           Henry-Nicolas Tourneur <debian@nilux.be>,
           Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
               automake,
               libtool,
               intltool,
               gtk-doc-tools,
               gnome-common,
               gobject-introspection,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.56.0),
               libgudev-1.0-dev (>= 232),
               libpolkit-gobject-1-dev (>= 0.97),
               libqmi-glib-dev (>= 1.30.2),
               libmbim-glib-dev (>= 1.26.0),
               libglib2.0-doc,
               python3-dbus,
               python3-gi,
               valac (>= 0.22),
               dbus <!nocheck>,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/modemmanager.git
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/modemmanager
Homepage: https://www.freedesktop.org/wiki/Software/ModemManager/

Package: modemmanager
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: usb-modeswitch
Description: D-Bus service for managing modems
 ModemManager is a DBus-activated daemon which controls mobile broadband
 (2G/3G/4G) devices and connections. Whether built-in devices, USB dongles,
 Bluetooth-paired telephones or professional RS232/USB devices with external
 power supplies, ModemManager is able to prepare and configure the modems and
 setup connections with them.

Package: modemmanager-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}
Suggests: modemmanager-doc
Breaks: modemmanager (<< 1.6.6-1)
Replaces: modemmanager (<< 1.6.6-1)
Description: D-Bus service for managing modems - development files
 ModemManager is a DBus-activated daemon which controls mobile broadband
 (2G/3G/4G) devices and connections. Whether built-in devices, USB dongles,
 Bluetooth-paired telephones or professional RS232/USB devices with external
 power supplies, ModemManager is able to prepare and configure the modems and
 setup connections with them.
 .
 This package contains header files for ModemManager.

Package: modemmanager-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Description: D-Bus service for managing modems - documentation files
 ModemManager is a DBus-activated daemon which controls mobile broadband
 (2G/3G/4G) devices and connections. Whether built-in devices, USB dongles,
 Bluetooth-paired telephones or professional RS232/USB devices with external
 power supplies, ModemManager is able to prepare and configure the modems and
 setup connections with them.
 .
 This package contains documentation of the D-Bus protocol to interface
 ModemManager.

Package: libmm-glib0
Architecture: linux-any
Section: libs
Pre-Depends: ${misc:Pre-Depends},
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: modemmanager (>= ${binary:Version})
Description: D-Bus service for managing modems - shared libraries
 ModemManager is a DBus-activated daemon which controls mobile broadband
 (2G/3G/4G) devices and connections. Whether built-in devices, USB dongles,
 Bluetooth-paired telephones or professional RS232/USB devices with external
 power supplies, ModemManager is able to prepare and configure the modems and
 setup connections with them.
 .
 This package contains shared libraries for applications interfacing with
 ModemManager.

Package: libmm-glib-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: libmm-glib0 (= ${binary:Version}),
         gir1.2-modemmanager-1.0 (= ${binary:Version}),
         modemmanager-dev,
         ${shlibs:Depends},
         ${misc:Depends},
Suggests: libmm-glib-doc
Description: D-Bus service for managing modems - library development files
 ModemManager is a DBus-activated daemon which controls mobile broadband
 (2G/3G/4G) devices and connections. Whether built-in devices, USB dongles,
 Bluetooth-paired telephones or professional RS232/USB devices with external
 power supplies, ModemManager is able to prepare and configure the modems and
 setup connections with them.
 .
 This package contains development files and Vala bindings to use when writing
 applications that interface with ModemManager.

Package: libmm-glib-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Description: D-Bus service for managing modems - library documentation
 ModemManager is a DBus-activated daemon which controls mobile broadband
 (2G/3G/4G) devices and connections. Whether built-in devices, USB dongles,
 Bluetooth-paired telephones or professional RS232/USB devices with external
 power supplies, ModemManager is able to prepare and configure the modems and
 setup connections with them.
 .
 This package contains documentation of libmm-glib to use when writing
 applications that interface with ModemManager.

Package: gir1.2-modemmanager-1.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for modemmanager
 ModemManager is a DBus-activated daemon which controls mobile broadband
 (2G/3G/4G) devices and connections. Whether built-in devices, USB dongles,
 Bluetooth-paired telephones or professional RS232/USB devices with external
 power supplies, ModemManager is able to prepare and configure the modems and
 setup connections with them.
 .
 This package contains introspection data for the libmm-glib library.

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

#always exclude any data from version control systems
DH_ALWAYS_EXCLUDE=.svn:.git:.bzr

%:
	dh $@ --with gir

override_dh_autoreconf:
	NOCONFIGURE=true dh_autoreconf ./autogen.sh

override_dh_auto_clean:
	rm -f gtk-doc.make m4/gtk-doc.m4
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--with-polkit=permissive \
		--enable-more-warnings 

override_dh_strip:
	dh_strip --dbgsym-migration='modemmanager-dbg (<< 1.4.14-1~)'

override_dh_install:
	find $(CURDIR)/debian/tmp/ -name \*.a -exec rm {} \;
	find $(CURDIR)/debian/tmp/ -name \*.la -exec rm {} \;
	dh_install

## modemmanager 1.18.4

=== debian/changelog ===
modemmanager (1.18.4-1.0nosystemd1) nosystemd; urgency=medium

  * remove hard dependency on libsystemd0/elogind0  

 -- anticapitalista <antix@operamail.com>  Mon, 20 Dec 2021 11:44:49 +0200

modemmanager (1.18.4-1) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Fix missing dependency on policykit-1 (Closes: #991223).
    Without it, a lot of operations would result in the following error at
    the D-Bus level:
        The name org.freedesktop.PolicyKit1 was not provided by any .service files
    In bullseye, ModemManager.service wouldn't even start, because of the
    missing polkit.service dependency at the systemd level.

  [ Arnaud Ferraris ]
  * New upstream version 1.18.4
  * d/copyright: fix wrong path for libqcdm
    `libqcdm` was previously `libwmc`, but the corresponding copyright entry
    wasn't updated when the folder was renamed.
  * d/control: update packages descriptions.
    As it was pointed out, ModemManager now supports 5G modems, make sure
    the packages descriptions reflect that.
  * debian: address lintian issues.
    This commit addresses multiple issues reported by lintian:
    - doc installed into `/usr/share/gtk-doc` instead of `/usr/share/doc`,
      which is normal behavior for glib-based software
    - missing `Build-Depends-Package` in `libmm-glib0` symbols file
    - ModemManager plugins not including dependency information
    - system-wide `fcc-unlock.d` folder installed even though we don't ship
      any distro-specific configuration which would be included there
  * d/modemmanager.prerm: don't call systemctl directly.
    Debian provides a helper tool for avoiding direct calls to systemctl in
    maintainer scripts, so let's use it.
  * d/control: sort build dependencies.
    Also avoid installing unnecessary dependencies when using the `nodoc`
    build profile.

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 14 Dec 2021 10:09:29 +0100

=== debian/control ===
--- 
+++ 
@@ -8,22 +8,22 @@
            Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13),
                automake,
-               libtool,
-               intltool,
-               gtk-doc-tools,
+               dbus <!nocheck>,
                gnome-common,
                gobject-introspection,
+               intltool,
+               libtool,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.56.0),
                libgudev-1.0-dev (>= 232),
-               libpolkit-gobject-1-dev (>= 0.97),
+               libmbim-glib-dev (>= 1.26.0),
                libqmi-glib-dev (>= 1.30.2),
-               libmbim-glib-dev (>= 1.26.0),
-               libglib2.0-doc,
                python3-dbus,
                python3-gi,
                valac (>= 0.22),
-               dbus <!nocheck>,
+# Needed for building documentation
+               gtk-doc-tools <!nodoc>,
+               libglib2.0-doc <!nodoc>,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/modemmanager.git
@@ -37,7 +37,7 @@
 Recommends: usb-modeswitch
 Description: D-Bus service for managing modems
  ModemManager is a DBus-activated daemon which controls mobile broadband
- (2G/3G/4G) devices and connections. Whether built-in devices, USB dongles,
+ (2G/3G/4G/5G) devices and connections. Whether built-in devices, USB dongles,
  Bluetooth-paired telephones or professional RS232/USB devices with external
  power supplies, ModemManager is able to prepare and configure the modems and
  setup connections with them.
@@ -52,7 +52,7 @@
 Replaces: modemmanager (<< 1.6.6-1)
 Description: D-Bus service for managing modems - development files
  ModemManager is a DBus-activated daemon which controls mobile broadband
- (2G/3G/4G) devices and connections. Whether built-in devices, USB dongles,
+ (2G/3G/4G/5G) devices and connections. Whether built-in devices, USB dongles,
  Bluetooth-paired telephones or professional RS232/USB devices with external
  power supplies, ModemManager is able to prepare and configure the modems and
  setup connections with them.
@@ -67,7 +67,7 @@
 Suggests: devhelp
 Description: D-Bus service for managing modems - documentation files
  ModemManager is a DBus-activated daemon which controls mobile broadband
- (2G/3G/4G) devices and connections. Whether built-in devices, USB dongles,
+ (2G/3G/4G/5G) devices and connections. Whether built-in devices, USB dongles,
  Bluetooth-paired telephones or professional RS232/USB devices with external
  power supplies, ModemManager is able to prepare and configure the modems and
  setup connections with them.
@@ -85,7 +85,7 @@
 Recommends: modemmanager (>= ${binary:Version})
 Description: D-Bus service for managing modems - shared libraries
  ModemManager is a DBus-activated daemon which controls mobile broadband
- (2G/3G/4G) devices and connections. Whether built-in devices, USB dongles,
+ (2G/3G/4G/5G) devices and connections. Whether built-in devices, USB dongles,
  Bluetooth-paired telephones or professional RS232/USB devices with external
  power supplies, ModemManager is able to prepare and configure the modems and
  setup connections with them.
@@ -105,7 +105,7 @@
 Suggests: libmm-glib-doc
 Description: D-Bus service for managing modems - library development files
  ModemManager is a DBus-activated daemon which controls mobile broadband
- (2G/3G/4G) devices and connections. Whether built-in devices, USB dongles,
+ (2G/3G/4G/5G) devices and connections. Whether built-in devices, USB dongles,
  Bluetooth-paired telephones or professional RS232/USB devices with external
  power supplies, ModemManager is able to prepare and configure the modems and
  setup connections with them.
@@ -121,7 +121,7 @@
 Suggests: devhelp
 Description: D-Bus service for managing modems - library documentation
  ModemManager is a DBus-activated daemon which controls mobile broadband
- (2G/3G/4G) devices and connections. Whether built-in devices, USB dongles,
+ (2G/3G/4G/5G) devices and connections. Whether built-in devices, USB dongles,
  Bluetooth-paired telephones or professional RS232/USB devices with external
  power supplies, ModemManager is able to prepare and configure the modems and
  setup connections with them.
@@ -138,7 +138,7 @@
          ${misc:Depends}
 Description: GObject introspection data for modemmanager
  ModemManager is a DBus-activated daemon which controls mobile broadband
- (2G/3G/4G) devices and connections. Whether built-in devices, USB dongles,
+ (2G/3G/4G/5G) devices and connections. Whether built-in devices, USB dongles,
  Bluetooth-paired telephones or professional RS232/USB devices with external
  power supplies, ModemManager is able to prepare and configure the modems and
  setup connections with them.

=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,13 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--enable-gtk-doc \
-		--with-polkit=permissive \
 		--enable-more-warnings 
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='modemmanager-dbg (<< 1.4.14-1~)'
 
 override_dh_install:
+	rmdir $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/ModemManager/fcc-unlock.d
 	find $(CURDIR)/debian/tmp/ -name \*.a -exec rm {} \;
 	find $(CURDIR)/debian/tmp/ -name \*.la -exec rm {} \;
-	dh_install 
+	dh_install

## modemmanager 1.18.6

=== debian/changelog ===
modemmanager (1.18.6-2.0nosystemd1) nosystemd; urgency=medium

  * remove hard dependency on libsystemd0/libelogind0 

 -- anticapitalista <antix@operamail.com>  Thu, 24 Feb 2022 12:55:34 +0200

modemmanager (1.18.6-2) unstable; urgency=medium

  * d/control: build-depend on libqrtr-glib.
    This enables support for the QRTR protocol so we can use the integrated
    modem found on Qualcomm SoCs.

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 23 Feb 2022 13:58:35 +0100

modemmanager (1.18.6-1) unstable; urgency=medium

  [ Bjørn Bürger ]
  * Add README.Debian.
     * Added upgrade notice regarding changed fcc-unlock.d defaults:
       https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1004447

  [ Guido Günther ]
  * Mention FCC unlock in NEWS.Debian

  [ Arnaud Ferraris ]
  * New upstream version 1.18.6
  * d/libmm-glib0: update symbols file for new version.

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 16 Feb 2022 17:00:52 +0100

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                libgudev-1.0-dev (>= 232),
                libmbim-glib-dev (>= 1.26.0),
                libqmi-glib-dev (>= 1.30.2),
+               libqrtr-glib-dev (>= 1.0.0),
                python3-dbus,
                python3-gi,
                valac (>= 0.22),
@@ -34,6 +35,7 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         policykit-1,
 Recommends: usb-modeswitch
 Description: D-Bus service for managing modems
  ModemManager is a DBus-activated daemon which controls mobile broadband

=== debian/rules ===
--- 
+++ 
@@ -30,4 +30,7 @@
 	rmdir $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/ModemManager/fcc-unlock.d
 	find $(CURDIR)/debian/tmp/ -name \*.a -exec rm {} \;
 	find $(CURDIR)/debian/tmp/ -name \*.la -exec rm {} \;
-	dh_install
+	dh_install  
+
+override_dh_missing:
+	dh_missing --list-missing

## modemmanager 1.18.10

=== debian/changelog ===
modemmanager (1.18.10-2.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Thu, 08 Sep 2022 16:48:25 +0300

modemmanager (1.18.10-2) unstable; urgency=medium

  [ Matteo F. Vescovi <mfv@debian.org> 2022-09-07 ]
  * debian/patches/: patchset updated (Closes: #1017794, #1018198)
    - 0001-Fix_invalid_EXZ_error_parser.patch added
    - 0002-Fix_issue_with_EOL_for_pcre2.patch added

 -- Martin <debacle@debian.org>  Wed, 07 Sep 2022 21:55:00 +0000

modemmanager (1.18.10-1) unstable; urgency=medium

  * New upstream version 1.18.10
  * d/control: update my email address and bump libqmi dependency.
    Upstream bumped the required version of `libqmi`, so let's ensure this
    is reflected in this package.
    This commit also bumps the Standards-Version, as no additional change is
    required.
  * debian: update linitian-overrides.
    Due to recent changes in `lintian`, our overrides for the -doc packages
    are no longer needed. However, a new `source-is-missing` lintian error
    message must be overridden as it relates to HTML files, which are source
    files themselves.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 11 Jul 2022 17:30:09 +0200

modemmanager (1.18.8-1) unstable; urgency=medium

  * debian: lintian-driven fixes and small improvements.
    This commit includes minor changes spotted by `lintian-brush`:
    - remove obsolete/empty maintainer scripts
    - `d/upstream/metadata`: append `.git` to repo URL
    - `d/rules`: drop symbols migration (1.4.14 is long gone)
  * d/control: drop build dependency on libqrtr-glib
    `libqrtr-glib-dev` is now a dependency to `libqmi-glib-dev`, and as such
    can be safely omitted from this package's build deps.
    We must however increase the required `libqmi` version to ensure we
    avoid build failures.
  * New upstream version 1.18.8
  * d/symbols: update for new release.

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Fri, 20 May 2022 10:19:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
-Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>,
+Uploaders: Arnaud Ferraris <aferraris@debian.org>,
            Guido Günther <agx@sigxcpu.org>,
            Henry-Nicolas Tourneur <debian@nilux.be>,
            Martin <debacle@debian.org>
@@ -17,15 +17,14 @@
                libglib2.0-dev (>= 2.56.0),
                libgudev-1.0-dev (>= 232),
                libmbim-glib-dev (>= 1.26.0),
-               libqmi-glib-dev (>= 1.30.2),
-               libqrtr-glib-dev (>= 1.0.0),
+               libqmi-glib-dev (>= 1.30.8~),
                python3-dbus,
                python3-gi,
                valac (>= 0.22),
 # Needed for building documentation
                gtk-doc-tools <!nodoc>,
                libglib2.0-doc <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/modemmanager.git
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/modemmanager

=== debian/rules ===
--- 
+++ 
@@ -23,14 +23,12 @@
 		--enable-gtk-doc \
 		--enable-more-warnings 
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='modemmanager-dbg (<< 1.4.14-1~)'
 
 override_dh_install:
 	rmdir $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/ModemManager/fcc-unlock.d
 	find $(CURDIR)/debian/tmp/ -name \*.a -exec rm {} \;
 	find $(CURDIR)/debian/tmp/ -name \*.la -exec rm {} \;
-	dh_install  
+	dh_install
 
 override_dh_missing:
 	dh_missing --list-missing

## modemmanager 1.18.12

=== debian/changelog ===
modemmanager (1.18.12-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Create sloppy backport for Debian 10.

 -- Martin <debacle@debian.org>  Mon, 24 Oct 2022 22:37:50 +0000

modemmanager (1.18.12-1) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * modemmanager: Recommend libqmi-utils and libmbim-utils.
    The FCC unlock scripts shipped in modemmanager use `qmicli` to
    perform unlocking which is part of the `libqmi-utils` package.
    Additionally `mbimcli` is used by the `leac` script,
    so recommend libmbim-utils as well. (Closes: #1017975)

  [ Arnaud Ferraris ]
  * d/upstream: add new upstream signing key
  * New upstream version 1.18.12
  * d/patches: drop upstreamed patches

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 28 Sep 2022 15:06:56 +0200

=== debian/control ===
--- 
+++ 
@@ -17,12 +17,14 @@
                libglib2.0-dev (>= 2.56.0),
                libgudev-1.0-dev (>= 232),
                libmbim-glib-dev (>= 1.26.0),
+               libpolkit-gobject-1-dev (>= 0.97),
                libqmi-glib-dev (>= 1.30.8~),
+               libsystemd-dev (>= 209),
                python3-dbus,
                python3-gi,
                valac (>= 0.22),
 # Needed for building documentation
-               gtk-doc-tools <!nodoc>,
+               gtk-doc-tools (>= 1.33.2~) <!nodoc>,
                libglib2.0-doc <!nodoc>,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
@@ -35,7 +37,9 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          policykit-1,
-Recommends: usb-modeswitch
+Recommends: libmbim-utils,
+            libqmi-utils,
+            usb-modeswitch,
 Description: D-Bus service for managing modems
  ModemManager is a DBus-activated daemon which controls mobile broadband
  (2G/3G/4G/5G) devices and connections. Whether built-in devices, USB dongles,

=== debian/rules ===
--- 
+++ 
@@ -21,14 +21,13 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--enable-gtk-doc \
-		--enable-more-warnings 
-
+		--with-polkit=permissive \
+		--enable-more-warnings \
+		--with-suspend-resume=systemd \
+		--with-systemdsystemunitdir=/lib/systemd/system
 
 override_dh_install:
 	rmdir $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/ModemManager/fcc-unlock.d
 	find $(CURDIR)/debian/tmp/ -name \*.a -exec rm {} \;
 	find $(CURDIR)/debian/tmp/ -name \*.la -exec rm {} \;
 	dh_install
-
-override_dh_missing:
-	dh_missing --list-missing

## modemmanager 1.19~git20220905

=== debian/changelog ===
modemmanager (1.19~git20220905-0ubuntu2) kinetic; urgency=medium

  * Build without libqrtr for now, the MIR is blocked since we don't have
    hardware available to do the required testing of the feature,
    include some workarounds to fix the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Sep 2022 15:38:20 +0200

modemmanager (1.19~git20220905-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot, fixing build issues with the new glib serie

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Sep 2022 11:26:53 +0200

modemmanager (1.19~git20220825-0ubuntu1) kinetic; urgency=medium

  * Update to a preversion doing a git snapshot, needed for newer hardware
  * Update the build requirements and build with meson
  * Refresh the symbols

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Aug 2022 17:28:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,33 @@
 Source: modemmanager
 Section: net
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>,
            Guido Günther <agx@sigxcpu.org>,
            Henry-Nicolas Tourneur <debian@nilux.be>,
            Martin <debacle@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               automake,
+Build-Depends: bash-completion,
+               debhelper-compat (= 13),
                dbus <!nocheck>,
                gnome-common,
                gobject-introspection,
-               intltool,
-               libtool,
+               libdbus-1-dev,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.56.0),
                libgudev-1.0-dev (>= 232),
-               libmbim-glib-dev (>= 1.26.0),
+               libmbim-glib-dev (>= 1.27~),
                libpolkit-gobject-1-dev (>= 0.97),
-               libqmi-glib-dev (>= 1.30.8~),
+               libqmi-glib-dev (>= 1.31~),
                libsystemd-dev (>= 209),
+               meson,
+               polkitd,
                python3-dbus,
                python3-gi,
+               udev,
                valac (>= 0.22),
 # Needed for building documentation
-               gtk-doc-tools (>= 1.33.2~) <!nodoc>,
+               gtk-doc-tools <!nodoc>,
                libglib2.0-doc <!nodoc>,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
@@ -37,9 +40,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          policykit-1,
-Recommends: libmbim-utils,
-            libqmi-utils,
-            usb-modeswitch,
+Recommends: usb-modeswitch
 Description: D-Bus service for managing modems
  ModemManager is a DBus-activated daemon which controls mobile broadband
  (2G/3G/4G/5G) devices and connections. Whether built-in devices, USB dongles,

## modemmanager 1.20.0

=== meson_options.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
# Copyright (C) 2021 Iñigo Martinez <inigomartinez@gmail.com>

option('udev', type: 'boolean', value: true, description: 'enable udev support')
option('udevdir', type: 'string', value: '', description: 'udev base directory')

option('tests', type: 'boolean', value: true, description: 'enable tests')

option('dbus_policy_dir', type: 'string', value: '', description: 'd-bus system policy directory')

option('systemdsystemunitdir', type: 'string', value: '', description: 'systemd system units directory')
option('systemd_suspend_resume', type: 'boolean', value: true, description: 'enable suspend/resume support with systemd')
option('powerd_suspend_resume', type: 'boolean', value: false, description: 'enable suspend/resume support with powerd')
option('systemd_journal', type: 'boolean', value: true, description: 'enable systemd journal support')

option('polkit', type: 'combo', choices: ['strict', 'permissive', 'no'], value: 'strict', description: 'User auth-polkit configuration option.')

option('at_command_via_dbus', type: 'boolean', value: false, description: 'enable at commands vida d-bus')

option('mbim', type: 'boolean', value: true, description: 'enable MBIM support')
option('qmi', type: 'boolean', value: true, description: 'enable QMI support')
option('qrtr', type: 'boolean', value: true, description: 'enable QRTR support')

option('dist_version', type: 'string', value: '', description: 'define the custom version (like distribution package name and revision')

option('plugin_generic', type: 'feature', value: 'auto', description: 'enable generic plugin support')
option('plugin_altair_lte', type: 'feature', value: 'auto', description: 'enable altair lte plugin support')
option('plugin_anydata', type: 'feature', value: 'auto', description: 'enable anydata plugin support')
option('plugin_broadmobi', type: 'feature', value: 'auto', description: 'enable broadmobi plugin support')
option('plugin_cinterion', type: 'feature', value: 'auto', description: 'enable cinterion plugin support')

# shared_sierra, shared_novatel, shared_xmm, shared_telit, shared_foxonn
option('plugin_dell', type: 'feature', value: 'auto', description: 'enable dell plugin support')

option('plugin_dlink', type: 'feature', value: 'auto', description: 'enable dlink plugin support')

# shared_xmm
option('plugin_fibocom', type: 'feature', value: 'auto', description: 'enable fibocom plugin support')

# shared_foxconn
option('plugin_foxconn', type: 'feature', value: 'auto', description: 'enable foxconn plugin support')
option('plugin_gosuncn', type: 'feature', value: 'auto', description: 'enable gosuncn plugin support')
option('plugin_haier', type: 'feature', value: 'auto', description: 'enable haier plugin support')
option('plugin_huawei', type: 'feature', value: 'auto', description: 'enable huawei plugin support')
option('plugin_intel', type: 'feature', value: 'auto', description: 'enable intel plugin support')
option('plugin_iridium', type: 'feature', value: 'auto', description: 'enable iridium plugin support')
option('plugin_linktop', type: 'feature', value: 'auto', description: 'enable linktop plugin support')
option('plugin_longcheer', type: 'feature', value: 'auto', description: 'enable longcheer plugin support')
option('plugin_mbm', type: 'feature', value: 'auto', description: 'enable mbm plugin support')
option('plugin_motorola', type: 'feature', value: 'auto', description: 'enable motorola plugin support')
option('plugin_mtk', type: 'feature', value: 'auto', description: 'enable mtk plugin support')
option('plugin_nokia', type: 'feature', value: 'auto', description: 'enable nokia plugin support')

# shared_icera
option('plugin_nokia_icera', type: 'feature', value: 'auto', description: 'enable nokia icera plugin support')

# shared_novatel
option('plugin_novatel', type: 'feature', value: 'auto', description: 'enable novatel plugin support')
option('plugin_novatel_lte', type: 'feature', value: 'auto', description: 'enable novatel lte plugin support')

# shared_option
option('plugin_option', type: 'feature', value: 'auto', description: 'enable option plugin support')

# shared_option
option('plugin_option_hso', type: 'feature', value: 'auto', description: 'enable option hso plugin support')
option('plugin_pantech', type: 'feature', value: 'auto', description: 'enable pantech plugin support')

option('plugin_qcom_soc', type: 'feature', value: 'auto', description: 'enable qcom soc plugin support')
option('plugin_quectel', type: 'feature', value: 'auto', description: 'enable quectel plugin support')

# shared_icera
option('plugin_samsung', type: 'feature', value: 'auto', description: 'enable samsung plugin support')

# shared_icera, shared_sierra
option('plugin_sierra_legacy', type: 'feature', value: 'auto', description: 'enable sierra legacy plugin support')

# shared_xmm
option('plugin_sierra', type: 'feature', value: 'auto', description: 'enable sierra plugin support')
option('plugin_simtech', type: 'feature', value: 'auto', description: 'enable simtech plugin support')

# shared_telit
option('plugin_telit', type: 'feature', value: 'auto', description: 'enable telit plugin support')
option('plugin_thuraya', type: 'feature', value: 'auto', description: 'enable thuraya plugin support')
option('plugin_tplink', type: 'feature', value: 'auto', description: 'enable tplink plugin support')
option('plugin_ublox', type: 'feature', value: 'auto', description: 'enable ublox plugin support')
option('plugin_via', type: 'feature', value: 'auto', description: 'enable via plugin support')
option('plugin_wavecom', type: 'feature', value: 'auto', description: 'enable wavecom plugin support')
option('plugin_x22x', type: 'feature', value: 'auto', description: 'enable x22x plugin support')

# shared_icera
option('plugin_zte', type: 'feature', value: 'auto', description: 'enable zte plugin support')

option('introspection', type: 'boolean', value: true, description: 'build introspection support')
option('vapi', type: 'boolean', value: false, description: 'build vala bindings')

option('man', type: 'boolean', value: true, description: 'build manual pages')
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')

option('bash_completion', type: 'boolean', value: true, description: 'install bash completion files')

=== debian/changelog ===
modemmanager (1.20.0-1~ubuntu22.04.4) jammy; urgency=medium

  * Apply the newer modemmanager commits from 1.22.0 to the LTS as part of
    new hardware enablement including Quectel EM061K-GL/EM160/RM520N modems
    (lp: #2067240)

 -- Atlas Yu <atlas.yu@canonical.com>  Thu, 18 Jul 2024 16:24:32 +0200

modemmanager (1.20.0-1~ubuntu22.04.3) jammy; urgency=medium

  * Backport the newer modemmanager commits from 1.20.6 to the LTS
    as part of new hardware enablement including Telit FN990 modem
    (lp: #2047008)

 -- Laider Lai <laider.lai@canonical.com>  Wed, 20 Dec 2023 05:35:16 +0000

modemmanager (1.20.0-1~ubuntu22.04.2) jammy; urgency=medium

  * Backport the newer modemmanager commits from 1.20.4 to the LTS
    as part of new hardware enablement including EM05-G/EM05-CN modems
    (lp: #2023746)

 -- Laider Lai <laider.lai@canonical.com>  Wed, 14 Jun 2023 08:21:50 +0000

modemmanager (1.20.0-1~ubuntu22.04.1) jammy; urgency=medium

  * Backport the newer modemmanager stack to the LTS as part of
    new hardware enablement including FM350 modems
    (lp: #1950282)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Dec 2022 13:38:07 +0100

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.56.0),
                libgudev-1.0-dev (>= 232),
-               libmbim-glib-dev (>= 1.27~),
+               libmbim-glib-dev (>= 1.28.0~),
                libpolkit-gobject-1-dev (>= 0.97),
-               libqmi-glib-dev (>= 1.31~),
+               libqmi-glib-dev (>= 1.32.0~),
                libsystemd-dev (>= 209),
                meson,
                polkitd,

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,7 @@
 DH_ALWAYS_EXCLUDE=.svn:.git:.bzr
 
 %:
-	dh $@ --with gir
-
-override_dh_autoreconf:
-	NOCONFIGURE=true dh_autoreconf ./autogen.sh
+	dh $@ --with gir --buildsystem=meson --without autoreconf
 
 override_dh_auto_clean:
 	rm -f gtk-doc.make m4/gtk-doc.m4
@@ -20,11 +17,12 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--enable-gtk-doc \
-		--with-polkit=permissive \
-		--enable-more-warnings \
-		--with-suspend-resume=systemd \
-		--with-systemdsystemunitdir=/lib/systemd/system
+		-Dgtk_doc=true \
+		-Dpolkit=permissive \
+		-Dqrtr=false \
+		-Dsystemd_suspend_resume=true \
+		-Dsystemdsystemunitdir=/lib/systemd/system \
+		-Dvapi=true
 
 override_dh_install:
 	rmdir $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/ModemManager/fcc-unlock.d

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://www.freedesktop.org/software/ModemManager/ModemManager-(.*)\.tar\.xz

## modemmanager 1.20.4

=== debian/changelog ===
modemmanager (1.20.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable.  The remaining difference is the change
    for building without libqrtr, since it is currently not in main (see
    the 1.20.0-1ubuntu1 entry below) (LP: #2006625)

 -- Amin Bandali <bandali@canonical.com>  Wed, 08 Feb 2023 10:50:32 -0500

modemmanager (1.20.4-1) unstable; urgency=medium

  * New upstream version 1.20.4
  * d/control: bump Standards-Version, no change required

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 03 Jan 2023 13:34:49 +0100

modemmanager (1.20.2-1) unstable; urgency=medium

  * d/watch: only watch for stable releases.
    ModemManager has a x.y.z version numbering scheme where y is even for
    stable releases and odd for development ones. Stable release candidates
    have x.y-rcz version numbers with y being an even number. This change
    ensures we only watch for stable releases, including RCs.
  * New upstream version 1.20.2
  * d/patches: drop upstreamed patch

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 19 Dec 2022 13:59:08 +0100

modemmanager (1.20.0-1ubuntu1) lunar; urgency=medium

  * Build without libqrtr for now, the MIR is blocked since we don't have
    hardware available to do the required testing of the feature,
    include some workarounds to fix the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Nov 2022 10:39:07 +0100

modemmanager (1.20.0-1) unstable; urgency=medium

  * New upstream version 1.20.0
  * d/control: depend on polkitd instead of policykit-1
    `policykit-1` has recently been split in 2 packages and replaced by a
    transitional package. The one we actually need is `polkitd`, so let's
    have this one as the "main" dependency.
    However, as this package is often backported to bullseye as well, let's
    use an alternative as `polkitd` only exists in current testing/sid.
    (Closes: #1022072)
  * d/watch: look for git tags instead of source tarballs.
    Upstream stopped publishing source tarballs and now requests that we
    use (signed) git tags for new versions.
  * d/control: update build dependencies for new version.
    Upstream changed build system from `autotools` to `meson`, let's
    acknowledge this change. Due to the way `meson` looks for build
    dependencies, this also requires adding a few more one to ensure the
    package gets properly built.
  * d/rules: update for build system change.
    With the change to `meson` as the build system, configure options are
    handled differently, requiring minor changes to our package.
  * debian: honor nodoc build profile.
    Documentation was previously always built.
  * debian: update lintian-overrides for new version
  * libmm-glib0: update symbols file for new release
  * d/patches: make build reproducible

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 28 Oct 2022 17:54:26 +0200

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,20 @@
            Guido Günther <agx@sigxcpu.org>,
            Henry-Nicolas Tourneur <debian@nilux.be>,
            Martin <debacle@debian.org>
-Build-Depends: bash-completion,
-               debhelper-compat (= 13),
-               dbus <!nocheck>,
+Build-Depends: debhelper-compat (= 13),
+               bash-completion,
                gnome-common,
                gobject-introspection,
+               intltool,
                libdbus-1-dev,
                libgirepository1.0-dev,
-               libglib2.0-dev (>= 2.56.0),
-               libgudev-1.0-dev (>= 232),
+               libglib2.0-dev,
+               libgudev-1.0-dev,
                libmbim-glib-dev (>= 1.28.0~),
                libpolkit-gobject-1-dev (>= 0.97),
                libqmi-glib-dev (>= 1.32.0~),
                libsystemd-dev (>= 209),
+               libtool,
                meson,
                polkitd,
                python3-dbus,
@@ -29,7 +30,9 @@
 # Needed for building documentation
                gtk-doc-tools <!nodoc>,
                libglib2.0-doc <!nodoc>,
-Standards-Version: 4.6.1
+# Needed for automated tests
+               dbus <!nocheck>,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/modemmanager.git
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/modemmanager
@@ -39,8 +42,10 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         policykit-1,
-Recommends: usb-modeswitch
+         polkitd | policykit-1,
+Recommends: libmbim-utils,
+            libqmi-utils,
+            usb-modeswitch,
 Description: D-Bus service for managing modems
  ModemManager is a DBus-activated daemon which controls mobile broadband
  (2G/3G/4G/5G) devices and connections. Whether built-in devices, USB dongles,
@@ -70,6 +75,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
 Suggests: devhelp
 Description: D-Bus service for managing modems - documentation files
  ModemManager is a DBus-activated daemon which controls mobile broadband
@@ -124,6 +130,7 @@
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
 Suggests: devhelp
 Description: D-Bus service for managing modems - library documentation
  ModemManager is a DBus-activated daemon which controls mobile broadband

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifeq ($(filter libmm-glib-doc,$(shell dh_listpackages)),)
configure_flags += -Dgtk_doc=false
else
configure_flags += -Dgtk_doc=true
endif

ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
LIBQRTR=false
else
LIBQRTR=true
endif

%:
	dh $@ --with gir --buildsystem=meson

# Although meson is the preferred build system, autotools files are still present,
# leading dh_autoreconf to execute anyway, which is useless.
override_dh_autoreconf:

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags) \
		-Dpolkit=permissive \
		-Dqrtr=$(LIBQRTR) \
		-Dsystemdsystemunitdir=/lib/systemd/system \
		-Dvapi=true

override_dh_install:
	rmdir $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/ModemManager/fcc-unlock.d
	dh_install

## modemmanager 1.20.6

=== debian/changelog ===
modemmanager (1.20.6-2.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind
  * remove modemmanager.conffiles

 -- anticapitalista <antix@operamail.com>  Tue, 20 Jun 2023 20:03:42 +0300

modemmanager (1.20.6-2) unstable; urgency=medium

  * d/patches: backport patch fixing SMS reception after suspend on Librem 5
  * d/rules: install D-bus policy to proper system folder.
    Fixes: lintian: dbus-policy-in-etc
  * d/control: drop alternate dependency on `policykit-1`
    This used to be a transitional package for bookworm, it is now obsolete
    and shouldn't be mentioned moving forward.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 13 Jun 2023 16:56:17 +0200

modemmanager (1.20.6-1) experimental; urgency=medium

  * New upstream version 1.20.6

 -- Arnaud Ferraris <aferraris@debian.org>  Sun, 23 Apr 2023 15:49:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: modemmanager
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>,
            Guido Günther <agx@sigxcpu.org>,
            Henry-Nicolas Tourneur <debian@nilux.be>,
@@ -17,12 +16,9 @@
                libglib2.0-dev,
                libgudev-1.0-dev,
                libmbim-glib-dev (>= 1.28.0~),
-               libpolkit-gobject-1-dev (>= 0.97),
                libqmi-glib-dev (>= 1.32.0~),
-               libsystemd-dev (>= 209),
                libtool,
                meson,
-               polkitd,
                python3-dbus,
                python3-gi,
                udev,
@@ -42,7 +38,7 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         polkitd | policykit-1,
+         polkitd,
 Recommends: libmbim-utils,
             libqmi-utils,
             usb-modeswitch,

## modemmanager 1.22.0

=== debian/changelog ===
modemmanager (1.22.0-3) unstable; urgency=medium

  [ Jeremy Bícha ]
  * d/control: update build dependencies.
    Upstream bumped the required version for `libmbim` and `libqmi`.

  [ Arnaud Ferraris ]
  * d/control: build-depend on systemd-dev instead of udev.
    We only needed `udev` for its pkg-config file, which is now shipped in
    `systemd-dev`. (Closes: #1060566)

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 20 Jan 2024 12:14:00 +0100

modemmanager (1.22.0-2) unstable; urgency=medium

  * modemmanager: acknowledge udev rules now being under /usr.
    (Closes: #1057269)
  * d/control: make libmm-glib-dev depend on libglib2.0-dev.
    This is required as `libmm-glib` is actually built on top of `glib`.
    (Closes: #1035481)
  * d/gbp.conf: use 'debian/latest' as debian branch.
    This way we stay consistent with the other team-maintained packages.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 02 Jan 2024 09:35:55 +0100

modemmanager (1.22.0-2~exp1) experimental; urgency=medium

  * d/gbp.conf: use 'debian/experimental' as debian branch
  * debian: keep systemd service under /usr.
    In the current state of the Debian "/usr merge", we are allowed to move
    systemd services under `/usr/lib/systemd` when relying on
    `dh_installsystemd`. This requires adding a versioned dependency on
    `debhelper`.
    Let's comply by no longer overriding `systemdsystemunitdir`.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 30 Oct 2023 17:41:57 +0100

modemmanager (1.22.0-1) unstable; urgency=medium

  * New upstream version 1.22.0
  * prerm: drop invalid  option (Closes: #1038858)
  * d/control: update build dependencies
    Upstream bumped the required version for `libmbim` and `libqmi`.
  * d/patches: drop backported patch.
    This is part of the new released version, so no need for us to carry it
    anymore.
  * libmm-glib0: update symbols file for new upstream release

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 21 Oct 2023 10:37:44 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
            Henry-Nicolas Tourneur <debian@nilux.be>,
            Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               debhelper (>= 13.11.6),
                bash-completion,
                gnome-common,
                gobject-introspection,
@@ -15,13 +16,16 @@
                libgirepository1.0-dev,
                libglib2.0-dev,
                libgudev-1.0-dev,
-               libmbim-glib-dev (>= 1.28.0~),
-               libqmi-glib-dev (>= 1.32.0~),
+               libmbim-glib-dev (>= 1.30.0~),
+               libpolkit-gobject-1-dev (>= 0.97),
+               libqmi-glib-dev (>= 1.34.0~),
+               libsystemd-dev (>= 209),
                libtool,
                meson,
+               polkitd,
                python3-dbus,
                python3-gi,
-               udev,
+               systemd-dev,
                valac (>= 0.22),
 # Needed for building documentation
                gtk-doc-tools <!nodoc>,
@@ -107,6 +111,7 @@
 Section: libdevel
 Depends: libmm-glib0 (= ${binary:Version}),
          gir1.2-modemmanager-1.0 (= ${binary:Version}),
+         libglib2.0-dev,
          modemmanager-dev,
          ${shlibs:Depends},
          ${misc:Depends},
